/*The code was written and debugged by Matt Gray, Michael Koppelman,
  and John C. Martin at the University of Minnesota as part of the Eta
  Carinae HST Treasury Project (copyright 2008).  You are free to
  distribute this source as long as this notice remains intact.  End
  users of this code agree to take responsibility for how this code is
  used and the programmers, the Eta Carinae HST Treasury Project, and the
  University of Minnesota bear no liability.*/  

/* exfits.h */

#include <stdio.h>
#include <sys/types.h>
/*Uncomment if you wish to use argp to compile*/
#include <argp.h>
#include <time.h>
#include <string.h>
#include <readline/readline.h>
#include <readline/history.h>
#include "fitstools.h"
#include "libuni.h"

/* Program version */
#define EXFITS_VERSION 2.5

/* Types */

struct arguments
{
  char *args[5];

  int verbose;

  int echelle;

  int unifspec;

  int fits;

  int interactive;

  int type;

/* min/max row for simple extractions. Internally, all rows follow 0..n-1 
* numbering; these values are in FITS-style 1...n numbering.
*/
  int minrow;
  int maxrow;

/* Values defining the mesa, note caveat about numbering above */
  double cenrow, platw, basew;

  int guess_center;

  char *output_file;

  char *input_file;

  char *logfile;

};

/* Function declarations */

int interactive_mode ();

void initialize_readline ();

char *rl_gets ();

int parseit(int argc, char **agrv, struct arguments *args, char *doc);

int write_header (FILE *fp, struct arguments *args, int order, int usetrace);

char *logfile_time ();

void do_extract (struct fitsdata *fits, struct trace *trc, int usetrace, struct arguments *args);
